Name:		sugar-paths
Version:	19
Release:	4%{?dist}
Summary:	A sliding tile to create closed paths

License:	GPLv3+ and MIT
URL:		http://wiki.sugarlabs.org/go/Activities/Paths
Source0:	http://mirrors.rit.edu/sugarlabs/sources/honey/Paths/Paths-%{version}.tar.bz2

BuildRequires:	python2-devel sugar-toolkit gettext
BuildArch:	noarch
Requires:	sugar

%description
Paths is a sliding tile game where the goal is to create closed paths.


%prep
%setup -q -n Paths-%{version}
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python2}|'
find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python2}|'
rm po/{ayc,aym,fa_AF,hus,mvo,quz,tzm,tzo}.po

%build
%{__python2} ./setup.py build

%install
%{__python2} ./setup.py install --prefix=%{buildroot}/%{_prefix}
%find_lang org.sugarlabs.PathsActivity
 rm %{buildroot}/%{_datadir}/sugar/activities/Paths.activity/{COPYING,NEWS}

%files -f org.sugarlabs.PathsActivity.lang
%doc NEWS COPYING
%{sugaractivitydir}/Paths.activity/

%changelog
* Sat Dec 14 2013 Danishka Navin <danishka@gmail.com> - 19-4
- changed the %%prep section as per comment #18

* Sun Nov 24 2013 Danishka Navin <danishka@gmail.com> - 19-3
- changed the summery
- %%{__python} changed to %%{__python2}

* Sun Nov 24 2013 Danishka Navin <danishka@gmail.com> - 19-2
- fixed BuildRequires and %%install

* Tue Aug 13 2013 Danishka Navin <danishka@gmail.com> - 19-1
- updated to version 19

* Wed Jun 05 2013 Danishka Navin <danishka@gmail.com> - 18-1
- initial packaging
